> ## Documentation Index
> Fetch the complete documentation index at: https://magic-21.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Checkout Object

> Retrieve Checkout Objects.

### header

<ParamField path="checkout_id" type="string">
  The checkout ID that the merchant received in response to the POST Checkout request.
</ParamField>

<ParamField header="api-key" type="string">
  You will get this API key in the response of 'generate api key button' on merchant object.
</ParamField>

### Response

<ResponseField name="success" type="number">
  This Response field will return unique checkout object data and status code 200 if the transaction succeeds.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'http://127.0.0.1:8000/api/merchants/checkout' \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "chekout_object":"",
      "amounts": {
          "total": 15,
          "subtotal": 15,
          "tax": 5,
          "shipping": 3,
          "discount_total": null,
          "currency": "USD"
      },
      "billing": {
          "name": "Alice Jones",
          "address_1": "123 East St.",
          "address_2": "Apt. D",
          "city": "New York",
          "area": null,
          "zone_code": "NY",
          "country_code": "US",
          "postal_code": "90210",
          "phone_number": "+15554443333"
      },
      "shipping": {
          "name": "Alice Jones",
          "address_1": "123 East St.",
          "address_2": "Apt. D",
          "city": "New York",
          "area": null,
          "zone_code": "NY",
          "country_code": "US",
          "postal_code": "90210",
          "phone_number": "+15554443333"
      },
      "platform": {
          "platform_type": "magento",
          "platform_version": "1.3"
      },
      "items": [
          {
              "price": {
                  "amount": 15019,
                  "currency": "USD"
              },
              "name": "straight_leg_jean",
              "sku": "4db3ifnl",
              "quantity": 2,
              "image": "https://pixabay.com/images/id-1772243/",
              "category": [
                  [
                      "clothing",
                      "jeans"
                  ]
              ]
          },
          {
              "price": {
                  "amount": 19472,
                  "currency": "USD"
              },
              "name": "wide_leg_jean",
              "sku": "syt9r0ub",
              "quantity": 3,
              "image": "https://pixabay.com/images/id-1772243/",
              "category": [
                  [
                      "clothing",
                      "jeans"
                  ]
              ]
          },
          {
              "price": {
                  "amount": 15,
                  "currency": "USD"
              },
              "name": "cropped_jean",
              "sku": "r84qlsok",
              "quantity": 2,
              "image": "https://pixabay.com/images/id-1772243/",
              "category": [
                  [
                      "clothing",
                      "jeans"
                  ],
                  [
                      "sale"
                  ]
              ]
          }
      ],
      "created_at": "2023-02-16T13:35:15.586091Z",
      "updated_at": "2023-02-16T13:35:15.586109Z",
      "shipping_method": "overnight",
      "merchant_checkout_id": "4b718371-a466-4270-bc97-ece09d256443",
      "merchant_user_id": "1234",
      "redirect_cancel_url": "https://merchant.com/cancel",
      "redirect_confirm_url": "https://merchant.com/redirect",
      "subscription_status": "",
      "plan_type": "MO",
      "is_subscription": true,
      "user_cohorts": [
          "platinum",
          "newsletter",
          "club_membe"
      ]
  }
  ```
</ResponseExample>
